Subject: Re: [PATCH] igb: Fix styling in enable/disable SR-IOV

From: Johnny Park <[email-masked]>
Date: Tue, 15 Oct 2024 22:02:49 -0600

On Tue, Oct 15, 2024 at 05:46:07PM -0700, Jakub Kicinski wrote:
> On Mon, 14 Oct 2024 17:16:29 -0600 Johnny Park wrote:
> > This patch fixes the checks and warnings for igb_enable_sriov and
> > igb_disable_sriov function reported by checkpatch.pl
> 
> Quoting documentation:
> 
>   Clean-up patches
>   ~~~~~~~~~~~~~~~~
>   
>   Netdev discourages patches which perform simple clean-ups, which are not in
>   the context of other work. For example:
>   
>   * Addressing ``checkpatch.pl`` warnings
>   * Addressing :ref:`Local variable ordering<rcs>` issues
>   * Conversions to device-managed APIs (``devm_`` helpers)
>   
>   This is because it is felt that the churn that such changes produce comes
>   at a greater cost than the value of such clean-ups.
>   
>   Conversely, spelling and grammar fixes are not discouraged.
>   
> See: https://www.kernel.org/doc/html/next/process/maintainer-netdev.html#clean-up-patches
I see. Apologies for the inconvenience, I'm new to this area so I must have missed that portion of documentation.